Bug 854579

Summary: [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Product: [Fedora] Fedora Reporter: Arijit Ghosh <sirpentagon>
Component: xorg-x11-serverAssignee: X/OpenGL Maintenance List <xgl-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: alexfux1, emmanuel.touzery, fortfrederic, glihaenator, hmd.amanpour, jaceks, jgsheppard, johnny.farlane, kilaviljenn, lesjj10, lmandersonsr, lucesitav700, manderw, matematicabasic, mat.enders, meseyhan, ndbecker2, niki.waibel, pdimitrov, razvan.sandu, renzocherin, riveravaldez, silent.h8, skarllot, szkoky, vertolet, webasss, xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:a45825434594fdd102d03e01645f3fd84c2697c1
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 09:47:06 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: usr_share_xorg_conf_d.tar.gz
none
File: etc_X11_xorg_conf_d.tar.gz
none
File: Xorg.0.log none

Description Arijit Ghosh 2012-09-05 07:17:22 EDT
Description of problem:
I dont know i was running eclipse suddenly the machine hangs and i had to restart it. I lost all my important work in the middle. It happened 7-8 times since few days. Please help.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.3.4-5.fc17.i686.PAE

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x4a) [0x80ac45a]
:1: /usr/bin/Xorg (mieqEnqueue+0x22b) [0x81aacfb]
:2: /usr/bin/Xorg (0x8047000+0x4589c) [0x808c89c]
:3: /usr/bin/Xorg (xf86PostMotionEventM+0x253) [0x80d9ec3]
:4: /usr/lib/xorg/modules/input/evdev_drv.so (0xb5121000+0x3e2e) [0xb5124e2e]
:5: /usr/lib/xorg/modules/input/evdev_drv.so (0xb5121000+0x5534) [0xb5126534]
:6: /usr/bin/Xorg (0x8047000+0x82302) [0x80c9302]
:7: /usr/bin/Xorg (0x8047000+0xa8693) [0x80ef693]
:8: (vdso) (__kernel_sigreturn+0x0) [0xb7758400]
:9: (vdso) (__kernel_vsyscall+0x10) [0xb7758424]
:10: /lib/libc.so.6 (ioctl+0x19) [0x423d9459]
:11: /lib/libdrm.so.2 (drmIoctl+0x34) [0x45a7dae4]
:12: /lib/libdrm.so.2 (drmCommandWrite+0x3d) [0x45a805ad]
:13: /lib/libdrm_nouveau.so.1 (0xb75fb000+0x2d7f) [0xb75fdd7f]
:14: /lib/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x106) [0xb75fe496]
:15: /lib/libdrm_nouveau.so.1 (nouveau_bo_map+0x33) [0xb75fe573]
:16: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0xb762a000+0x45ed) [0xb762e5ed]
:17: /usr/lib/xorg/modules/libexa.so (0xb75bf000+0x50ec) [0xb75c40ec]
:18: /usr/lib/xorg/modules/libexa.so (0xb75bf000+0x54a3) [0xb75c44a3]
:19: /usr/lib/xorg/modules/libexa.so (0xb75bf000+0x76dc) [0xb75c66dc]
:20: /usr/lib/xorg/modules/libexa.so (0xb75bf000+0x11fdb) [0xb75d0fdb]
:21: /usr/lib/xorg/modules/libexa.so (0xb75bf000+0xe6ce) [0xb75cd6ce]
:22: /usr/bin/Xorg (0x8047000+0x10d475) [0x8154475]
:23: /usr/bin/Xorg (CompositePicture+0x339) [0x81486d9]
:24: /usr/bin/Xorg (miCompositeRects+0x2d6) [0x8144dd6]
:25: /usr/bin/Xorg (CompositeRects+0x79) [0x81487f9]
:26: /usr/bin/Xorg (0x8047000+0x105fc4) [0x814cfc4]
:27: /usr/bin/Xorg (0x8047000+0x101dbf) [0x8148dbf]
:28: /usr/bin/Xorg (0x8047000+0x303fd) [0x80773fd]
:29: /usr/bin/Xorg (0x8047000+0x1dce5) [0x8064ce5]
:30: /lib/libc.so.6 (__libc_start_main+0xf5) [0x42306635]
:31: /usr/bin/Xorg (0x8047000+0x1e029) [0x8065029]
Comment 1 Arijit Ghosh 2012-09-05 07:17:25 EDT
Created attachment 609987 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Arijit Ghosh 2012-09-05 07:17:28 EDT
Created attachment 609988 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 3 Arijit Ghosh 2012-09-05 07:17:32 EDT
Created attachment 609989 [details]
File: Xorg.0.log
Comment 4 Adam Jackson 2012-11-29 15:57:42 EST
*** Bug 859924 has been marked as a duplicate of this bug. ***
Comment 5 Adam Jackson 2012-11-29 15:58:00 EST
*** Bug 860392 has been marked as a duplicate of this bug. ***
Comment 6 Adam Jackson 2012-11-29 15:58:04 EST
*** Bug 861718 has been marked as a duplicate of this bug. ***
Comment 7 Adam Jackson 2012-11-29 15:58:06 EST
*** Bug 861793 has been marked as a duplicate of this bug. ***
Comment 8 Adam Jackson 2012-11-29 15:58:09 EST
*** Bug 861978 has been marked as a duplicate of this bug. ***
Comment 9 Adam Jackson 2012-11-29 15:58:12 EST
*** Bug 862210 has been marked as a duplicate of this bug. ***
Comment 10 Adam Jackson 2012-11-29 15:58:15 EST
*** Bug 864202 has been marked as a duplicate of this bug. ***
Comment 11 Adam Jackson 2012-11-29 15:58:18 EST
*** Bug 864716 has been marked as a duplicate of this bug. ***
Comment 12 Adam Jackson 2012-11-29 15:58:21 EST
*** Bug 866060 has been marked as a duplicate of this bug. ***
Comment 13 Adam Jackson 2012-11-29 15:58:23 EST
*** Bug 866139 has been marked as a duplicate of this bug. ***
Comment 14 Adam Jackson 2012-11-29 15:58:32 EST
*** Bug 866399 has been marked as a duplicate of this bug. ***
Comment 15 Adam Jackson 2012-11-29 15:58:35 EST
*** Bug 871202 has been marked as a duplicate of this bug. ***
Comment 16 Adam Jackson 2012-11-29 15:58:40 EST
*** Bug 874236 has been marked as a duplicate of this bug. ***
Comment 17 Jim 2012-12-26 00:20:11 EST
Unsure of how this problem happen.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 18 Stefan Franzke 2012-12-26 09:06:33 EST
System crashes from time to time.
Last two crashes i want to hear music (usb headset) via vlc and browse via chrome.



Package: xorg-x11-server-Xorg-1.12.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 19 pdimitrov 2013-01-08 13:10:54 EST
Four consecutive crashes of the x-server after showing the basic screen for up to a few seconds. Not much clue why..

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 20 Fabrício Godoy 2013-01-12 08:34:23 EST
I was playing a video on VLC and nouveau crashed.

Package: xorg-x11-server-Xorg-1.12.4-1.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 21 Seyhan 2013-01-16 12:27:59 EST
Tried Webmin to configure samba 

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 22 Stanis Shramko 2013-01-17 01:21:59 EST
I've being playing with the different variants of switch between virtual desktops and -- bump! -- X freezed.

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 23 Stanis Shramko 2013-01-17 01:26:07 EST
The logs after the hang contains the following:
./messages:Jan 17 13:13:05 home kernel: [ 2684.852049] [drm] nouveau 0000:01:00.0: GPU lockup - switching to software fbcon
Comment 24 renzocherin 2013-01-18 05:47:11 EST
Connecing external monitor via DVI and DVI2HDMI adapter

Package: xorg-x11-server-Xorg-1.12.0-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 25 Jeffrey 2013-01-27 17:26:14 EST
App updater applied several updates, including a kernal update. After the updates a "reboot required" notice displayed. I rebooted, but the screen went haywire during the boot process. Just flashing random pixels, no discernable screen image. After waiting several minutes to see if some sort of system process would clear it up, I did a hard system off. Turned it back on and same thing happened. Tried it twice more. Then rebooted into previous kernel version - which is where I am booted in now.

Package: xorg-x11-server-Xorg-1.12.4-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 26 vertolet 2013-03-20 03:31:01 EDT
Работает 2 монитора. Произошло вероятнее всего из-за не коректной работы flash player'a
It is seems to me that the problem was because of flash player


Package: xorg-x11-server-Xorg-1.12.4-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 27 Fedora End Of Life 2013-07-04 00:30:36 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 28 Fedora End Of Life 2013-08-01 09:47:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.